:-module(linkfeatures, [rootlink/2, typefeatures/4, subsfeatures/4,
                        projectable/1, footfeature/1, relink/0,
                        tagfeatures/2, option/1, treelevel/5,
                        toplevel/1, headfeature/1, modelpath/2]). 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% linkfeatures.pl
% the rule set module: here, all the information how links shall be
% converted into constituents is stored.
% adaptions need only be made in this module.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% May 2002
% Stefan Hoefler
% shoefler@cl.unizh.ch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%--------------------------+
% option(OptionName, Value)
%--------------------------+
% Default values for options
% A default has to be defined for every option
% ATTENTION: Do not change Option-Names!

:-dynamic(option/1).
:-dynamic(last_option/1).
option(display_traces=1).
option(display_nodeid=0).
option(bar=0). % 0: n0, n1, n2 // 1: n, nbar, np
option(model=basic).
option(last_model=basic).

% Default rule set (cp. option model)
:-use_module(linkfeatures_basic).

% Paths for rules sets (cp. options model and last_model)
modelpath(basic, 'link2tree/linkfeatures_basic').
modelpath(corr, 'link2tree/linkfeatures_basic_corr').
modelpath(gb, 'link2tree/linkfeatures_gb').

